## firefox 144.0.2~mozillabinaries

=== debian/changelog ===
firefox (144.0.2~mozillabinaries-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 28 Oct 2025 15:10:17 -0700

firefox (144.0.2~mozillabinaries-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 28 Oct 2025 15:07:09 -0700

firefox (144.0.2~mozillabinaries-1mx25+1) mx; urgency=medium

  * Rebuild for MX-25.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 28 Oct 2025 15:03:49 -0700

=== debian/rules ===
#!/usr/bin/make -f

uversion=$(shell uscan --report | grep Newer -A1 | grep [/][0-9.]+[/] -Eo | grep [0-9.]+ -Eo)
orig=../firefox_$(uversion)~mozillabinaries.orig.tar.xz
dst=firefox-$(uversion)~mozillabinaries

%:
	dh $@

override_dh_makeshlibs:

override_dh_strip:

override_dh_strip_nondeterminism:

override_dh_shlibdeps:

override_dh_builddeb:
	dh_builddeb -- -Z xz

override_dh_install:
	mkdir -p debian/firefox/opt/firefox
	mkdir -p debian/firefox/opt/firefox/distribution
	mkdir -p debian/firefox/usr/share/applications
	mkdir -p debian/firefox/usr/share/pixmaps
	cp debian/firefox.desktop debian/firefox/usr/share/applications
	cp debian/distribution.ini debian/firefox/opt/firefox/distribution
	cp debian/policies.json debian/firefox/opt/firefox/distribution
	mkdir -p debian/firefox/opt/firefox/browser/defaults/preferences
	cp debian/distribution.js debian/firefox/opt/firefox/browser/defaults/preferences

ifeq ($(DEB_HOST_ARCH), i386)
	cp -r i386/firefox/* debian/firefox/opt/firefox
else
	cp -r amd64/firefox/* debian/firefox/opt/firefox
endif
	
get-orig-source:
	@test "$(uversion)" = "" && \
	    echo "There is no new upstream source file." && exit 1 || true 
	rm -f $(orig)
	uscan --force-download --no-symlink --watchfile debian/watch-amd64 --verbose
	mkdir -p $(dst)/amd64
	tar jxf ../firefox-$(uversion).tar.bz2 -C $(dst)/amd64
	rm -f ../firefox-$(uversion).tar.bz2
	uscan --force-download --no-symlink --watchfile debian/watch-i386 --verbose
	mkdir -p $(dst)/i386
	tar jxf ../firefox-$(uversion).tar.bz2 -C $(dst)/i386
	rm -f ../firefox-$(uversion).tar.bz2
	tar cJf $(orig) $(dst)
	rm -rf $(dst)
	@echo "Successfully created new upstream source file: $(orig)"

## firefox 144.0.2

=== debian/changelog ===
firefox (144.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-86, also known as CVE-2025-12380.

 -- Mike Hommey <glandium@debian.org>  Wed, 29 Oct 2025 07:52:17 +0900

=== debian/control ===
Source: firefox
Section: web
Priority: optional
Maintainer: Maintainers of Mozilla-related packages <team+pkg-mozilla@tracker.debian.org>
Uploaders: Mike Hommey <glandium@debian.org>
Build-Depends: debhelper-compat (= 12),
               libx11-dev,
               libx11-xcb-dev,
               libxt-dev,
               libgtk-3-dev,
               libglib2.0-dev,
               libdrm-dev,
               libstartup-notification0-dev,
               libjpeg-dev,
               zlib1g-dev,
               libreadline-dev,
               python3 (>= 3.8),
               libnspr4-dev (>= 2:4.32~),
               libnss3-dev (>= 2:3.115.1~),
               libvpx-dev (>= 1.10.0),
               libdbus-1-dev,
               libffi-dev,
               libevent-dev,
               libpulse-dev,
               libasound2-dev,
               nasm (>= 2.14) [amd64 i386],
               rustc (>= 1.82),
               cargo (>= 1.82),
               llvm-dev,
               libclang-dev,
               clang,
               libc++-dev-wasm32,
               libclang-rt-dev-wasm32,
               lld,
               cbindgen (>= 0.27.0),
               nodejs (>= 12.22.1),
               zip,
               unzip,
               locales,
               xvfb,
               xfonts-base,
               xauth,
               ttf-bitstream-vera,
               fonts-freefont-ttf,
               fonts-dejima-mincho,
               iso-codes
Build-Conflicts: graphicsmagick-imagemagick-compat,
                 liboss4-salsa-dev,
                 libhildonmime-dev,
                 libosso-dev
Standards-Version: 3.9.8.0
Vcs-Git: https://salsa.debian.org/mozilla-team/firefox.git -b release/master
Vcs-Browser: https://salsa.debian.org/mozilla-team/firefox/commits/release/master

Package: firefox
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         fontconfig,
         procps,
         debianutils (>= 1.16),
         libnspr4 (>= 2:4.32~),
         libnss3 (>= 2:3.115.1~)
Recommends: libavcodec61 | libavcodec-extra61 | libavcodec60 | libavcodec-extra60 | libavcodec59 | libavcodec-extra59 | libavcodec58 | libavcodec-extra58 | libavcodec57 | libavcodec-extra57 | libavcodec56 | libavcodec-extra56 | libavcodec55 | libavcodec-extra55 | libavcodec54 | libavcodec-extra54 | libavcodec53 | libavcodec-extra53
Suggests: fonts-stix | otf-stix,
          fonts-lmodern,
          libgssapi-krb5-2 | libkrb53,
          libcanberra0,
          pulseaudio
Provides: www-browser,
          gnome-www-browser
Description: Mozilla Firefox web browser
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.

Package: firefox-l10n-all
Architecture: all
Section: metapackages
Depends: ${misc:Depends}, firefox-l10n-ach, firefox-l10n-af, firefox-l10n-an, firefox-l10n-ar, firefox-l10n-ast, firefox-l10n-az, firefox-l10n-be, firefox-l10n-bg, firefox-l10n-bn, firefox-l10n-br, firefox-l10n-bs, firefox-l10n-ca, firefox-l10n-ca-valencia, firefox-l10n-cak, firefox-l10n-cs, firefox-l10n-cy, firefox-l10n-da, firefox-l10n-de, firefox-l10n-dsb, firefox-l10n-el, firefox-l10n-en-ca, firefox-l10n-en-gb, firefox-l10n-eo, firefox-l10n-es-ar, firefox-l10n-es-cl, firefox-l10n-es-es, firefox-l10n-es-mx, firefox-l10n-et, firefox-l10n-eu, firefox-l10n-fa, firefox-l10n-ff, firefox-l10n-fi, firefox-l10n-fr, firefox-l10n-fur, firefox-l10n-fy-nl, firefox-l10n-ga-ie, firefox-l10n-gd, firefox-l10n-gl, firefox-l10n-gn, firefox-l10n-gu-in, firefox-l10n-he, firefox-l10n-hi-in, firefox-l10n-hr, firefox-l10n-hsb, firefox-l10n-hu, firefox-l10n-hy-am, firefox-l10n-ia, firefox-l10n-id, firefox-l10n-is, firefox-l10n-it, firefox-l10n-ja, firefox-l10n-ka, firefox-l10n-kab, firefox-l10n-kk, firefox-l10n-km, firefox-l10n-kn, firefox-l10n-ko, firefox-l10n-lij, firefox-l10n-lt, firefox-l10n-lv, firefox-l10n-mk, firefox-l10n-mr, firefox-l10n-ms, firefox-l10n-my, firefox-l10n-nb-no, firefox-l10n-ne-np, firefox-l10n-nl, firefox-l10n-nn-no, firefox-l10n-oc, firefox-l10n-pa-in, firefox-l10n-pl, firefox-l10n-pt-br, firefox-l10n-pt-pt, firefox-l10n-rm, firefox-l10n-ro, firefox-l10n-ru, firefox-l10n-sat, firefox-l10n-sc, firefox-l10n-sco, firefox-l10n-si, firefox-l10n-sk, firefox-l10n-skr, firefox-l10n-sl, firefox-l10n-son, firefox-l10n-sq, firefox-l10n-sr, firefox-l10n-sv-se, firefox-l10n-szl, firefox-l10n-ta, firefox-l10n-te, firefox-l10n-tg, firefox-l10n-th, firefox-l10n-tl, firefox-l10n-tr, firefox-l10n-trs, firefox-l10n-uk, firefox-l10n-ur, firefox-l10n-uz, firefox-l10n-vi, firefox-l10n-xh, firefox-l10n-zh-cn, firefox-l10n-zh-tw
Description: All language packages for Firefox (meta)
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This is a metapackage depending on all available localizations of Firefox.

Package: firefox-l10n-ach
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox (>= ${source:Version}), firefox (<< ${source:Version}.1~)
Description: Acoli language package for Firefox
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox in Acoli.

Package: firefox-l10n-af
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox (>= ${source:Version}), firefox (<< ${source:Version}.1~)
Recommends: hunspell-af
Description: Afrikaans language package for Firefox
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox in Afrikaans.

Package: firefox-l10n-an
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox (>= ${source:Version}), firefox (<< ${source:Version}.1~)
Recommends: hunspell-an
Description: Aragonese language package for Firefox
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox in Aragonese.

Package: firefox-l10n-ar
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox (>= ${source:Version}), firefox (<< ${source:Version}.1~)
Recommends: hunspell-ar
Description: Arabic language package for Firefox
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox in Arabic.

Package: firefox-l10n-ast
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox (>= ${source:Version}), firefox (<< ${source:Version}.1~)
Description: Asturian language package for Firefox
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox in Asturian.

Package: firefox-l10n-az
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox (>= ${source:Version}), firefox (<< ${source:Version}.1~)
Description: Azerbaijani language package for Firefox
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox in Azerbaijani.

Package: firefox-l10n-be
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox (>= ${source:Version}), firefox (<< ${source:Version}.1~)
Recommends: hunspell-be
Description: Belarusian language package for Firefox
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox in Belarusian.

Package: firefox-l10n-bg
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox (>= ${source:Version}), firefox (<< ${source:Version}.1~)
Recommends: hunspell-bg | myspell-bg
Description: Bulgarian language package for Firefox
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox in Bulgarian.

Package: firefox-l10n-bn
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox (>= ${source:Version}), firefox (<< ${source:Version}.1~)
Breaks: firefox-l10n-bn-in (<< 68), firefox-l10n-bn-bd (<< 68)
Replaces: firefox-l10n-bn-in (<< 68), firefox-l10n-bn-bd (<< 68)
Provides: firefox-l10n-bn-in, firefox-l10n-bn-bd
Description: Bengali language package for Firefox
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox in Bengali.

Package: firefox-l10n-br
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox (>= ${source:Version}), firefox (<< ${source:Version}.1~)
Recommends: hunspell-br
Description: Breton language package for Firefox
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox in Breton.

Package: firefox-l10n-bs
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox (>= ${source:Version}), firefox (<< ${source:Version}.1~)
Recommends: hunspell-bs
Description: Bosnian language package for Firefox
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox in Bosnian.

Package: firefox-l10n-ca
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox (>= ${source:Version}), firefox (<< ${source:Version}.1~)
Recommends: hunspell-ca
Description: Catalan language package for Firefox
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox in Catalan.

Package: firefox-l10n-ca-valencia
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox (>= ${source:Version}), firefox (<< ${source:Version}.1~)
Description: Catalan (Valencia) language package for Firefox
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox in Catalan (Valencia).

Package: firefox-l10n-cak
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox (>= ${source:Version}), firefox (<< ${source:Version}.1~)
Description: Kaqchikel language package for Firefox
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox in Kaqchikel.

Package: firefox-l10n-cs
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox (>= ${source:Version}), firefox (<< ${source:Version}.1~)
Recommends: hunspell-cs
Description: Czech language package for Firefox
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox in Czech.

Package: firefox-l10n-cy
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox (>= ${source:Version}), firefox (<< ${source:Version}.1~)
Description: Welsh language package for Firefox
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox in Welsh.

Package: firefox-l10n-da
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox (>= ${source:Version}), firefox (<< ${source:Version}.1~)
Recommends: hunspell-da | myspell-da
Description: Danish language package for Firefox
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox in Danish.

Package: firefox-l10n-de
Architecture: all
Section: localization
Depends: ${misc:Depends},

=== debian/watch ===
version=3
opts=dversionmangle=s/^(\d\.[\d\.]+)\+dfsg$/$1/ \
https://archive.mozilla.org/pub/firefox/releases/([\d\.]+)/source/firefox-([\d\.]+)[\.-]source\.tar\.xz debian python3 debian/repack.py

## firefox 144.0.2+linuxmint1+virginia

=== debian/changelog ===
firefox (144.0.2+linuxmint1+virginia) unstable; urgency=medium

  * 144.0.2

 -- Linux Mint <root@linuxmint.com>  Tue, 28 Oct 2025 14:17:04 +0000

firefox (144.0+linuxmint1) unstable; urgency=medium

  * 144.0

 -- Linux Mint <root@linuxmint.com>  Tue, 14 Oct 2025 13:36:05 +0100

## firefox 144.0.2+linuxmint1+zara

=== debian/changelog ===
firefox (144.0.2+linuxmint1+zara) unstable; urgency=medium

  * 144.0.2

 -- Linux Mint <root@linuxmint.com>  Tue, 28 Oct 2025 14:17:04 +0000

## firefox 145.0~linuxmint1%2Bfaye

=== debian/changelog ===
firefox (145.0~linuxmint1+faye) unstable; urgency=medium

  * 145.0

 -- Linux Mint <root@linuxmint.com>  Tue, 11 Nov 2025 13:56:29 +0000

firefox (144.0.2~linuxmint1) unstable; urgency=medium

  * 144.0.2

 -- Linux Mint <root@linuxmint.com>  Tue, 28 Oct 2025 14:28:44 +0000

## firefox 145.0~linuxmint1+gigi

=== debian/changelog ===
firefox (145.0~linuxmint1+gigi) unstable; urgency=medium

  * 145.0

 -- Linux Mint <root@linuxmint.com>  Tue, 11 Nov 2025 13:56:29 +0000

## firefox 145.0~mozillabinaries

=== debian/changelog ===
firefox (145.0~mozillabinaries-1mx25+1) mx; urgency=medium

  * Rebuild for MX-25.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 11 Nov 2025 18:51:33 -0800

## firefox 145.0

=== toolkit/components/translations/bergamot-translator/requirements.txt ===
PyYAML==6.0.2
requests==2.32.4
zstandard==0.23.0

=== intl/icu/source/tools/genren/Makefile ===
# Copyright (C) 2016 and later: Unicode, Inc. and others.
# License & terms of use: http://www.unicode.org/copyright.html
#******************************************************************************
#
#   Copyright (C) 2002-2011, International Business Machines
#   Corporation and others.  All Rights Reserved.
#
#******************************************************************************

TOP=../..

srcdir = .
top_srcdir = $(TOP)
top_builddir = $(TOP)

# override if you have an out-of-source build (not yet working.)
BUILDDIR = $(top_builddir)

ICUDIR=ICUunrenamed

# Extra flags to prevent internal API from being hidden.
# This is important because ELF (Linux) based platforms that don't hide internal
# API will allow a duplicate internal name to resolve to an external library.
# See the gcc manual on the "visibility" attribute for details.
FLAG_OVERRIDE= LIBCFLAGS= LIBCXXFLAGS= $(EXTRA_MAKE_OPTIONS)

## any local overrides
-include Makefile.local

#  load definition of .SO, etc (but not if we are doing 'make clean')
ifneq ($(patsubst %clean,,$(MAKECMDGOALS)),)
include $(BUILDDIR)/icudefs.mk
endif

# For MinGW, do we want the DLL to go in the bin location?
ifeq ($(MINGW_MOVEDLLSTOBINDIR),YES)
installdir = bin
else
installdir = lib
endif

COM=$(ICUDIR)/$(installdir)/libicuuc.$(SO)
I18=$(ICUDIR)/$(installdir)/libicui18n.$(SO)
LEX=$(ICUDIR)/$(installdir)/libiculx.$(SO)
DAT=$(ICUDIR)/stubdata/libicudata.$(SO)
UIO=$(ICUDIR)/$(installdir)/libicuio.$(SO)

LIBS=$(COM) $(I18) $(LEX) $(UIO)

## Targets.


all:
	@cat README

clean:
	-rm -rf $(ICUDIR) urename.* *~

# We use config.status to mean we have a valid out of source tree.

$(ICUDIR)/config.status:
	-mv $(ICUDIR) $(ICUDIR)old
	-(rm -rf $(ICUDIR)old &)
	mkdir $(ICUDIR)
	( cd $(ICUDIR) ; CPPFLAGS="-DU_DISABLE_RENAMING=1 -DUCONFIG_ENABLE_PLUGINS" $(GENREN_CONFIGURE_ENV) $(top_srcdir)/../configure --with-data-packaging=archive --enable-tests=no --prefix=`pwd` $(GENREN_CONFIGURE_OPTS) )
    # cause lib and bin to be created, and any other general sanity
	$(MAKE) $(FLAG_OVERRIDE) -C $(ICUDIR) clean
	$(MAKE) $(FLAG_OVERRIDE) -C $(ICUDIR) all-local

# build the libraries
$(DAT): $(ICUDIR)/config.status Makefile
	$(MAKE) $(FLAG_OVERRIDE) -C $(ICUDIR)/stubdata  all-local

$(COM): $(DAT) $(ICUDIR)/config.status Makefile
	$(MAKE) $(FLAG_OVERRIDE) -C $(ICUDIR)/common all-local

$(I18): $(DAT) $(COM) $(ICUDIR)/config.status Makefile
	$(MAKE) $(FLAG_OVERRIDE) -C $(ICUDIR)/i18n all-local

$(LEX): $(DAT) $(I18) $(COM) $(ICUDIR)/config.status Makefile
	$(MAKE) $(FLAG_OVERRIDE) -C $(ICUDIR)/layoutex all-local

$(UIO):	$(DAT) $(I18) $(COM) $(ICUDIR)/config.status Makefile
	$(MAKE) $(FLAG_OVERRIDE) -C $(ICUDIR)/io all-local

# the header itself
urename.h: $(LIBS) genren.pl
	-cp urename.h urename.h.old
	perl ./genren.pl $(GENREN_PL_OPTS) $(LIBS)

# This is still here, but less useful with the "new" macro-based rename. Just use 'svn diff'.
sorts:	urename.sort urename.old.sort
	@echo "*** Please check urename.h manually before committing it."
	@echo "Try 'diff --side-by-side urename.old.sort urename.sort'"

urename.sort: urename.h
	sort urename.h > $@

urename.old.sort: $(top_srcdir)/common/unicode/urename.h
	sort  $(top_srcdir)/common/unicode/urename.h > $@

install-header: urename.h
	cp urename.h $(top_srcdir)/common/unicode/
	@echo "*** Please check urename.h manually before committing it."

=== debian/changelog ===
firefox (145.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-87, also known as:
    CVE-2025-13021, CVE-2025-13022, CVE-2025-13012, CVE-2025-13023,
    CVE-2025-13016, CVE-2025-13024, CVE-2025-13025, CVE-2025-13017,
    CVE-2025-13018, CVE-2025-13019, CVE-2025-13013, CVE-2025-13020,
    CVE-2025-13014, CVE-2025-13015, CVE-2025-13027.

  * debian/rules: Use python/mozbuild/mozbuild/action/preprocessor.py
    instead of python/mozbuild/mozbuild/preprocessor.py.
  * debian/control*: Bump nss build dependency.

 -- Mike Hommey <glandium@debian.org>  Wed, 12 Nov 2025 07:46:31 +0900

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libreadline-dev,
                python3 (>= 3.8),
                libnspr4-dev (>= 2:4.32~),
-               libnss3-dev (>= 2:3.115.1~),
+               libnss3-dev (>= 2:3.117~),
                libvpx-dev (>= 1.10.0),
                libdbus-1-dev,
                libffi-dev,
@@ -60,7 +60,7 @@
          procps,
          debianutils (>= 1.16),
          libnspr4 (>= 2:4.32~),
-         libnss3 (>= 2:3.115.1~)
+         libnss3 (>= 2:3.117~)
 Recommends: libavcodec61 | libavcodec-extra61 | libavcodec60 | libavcodec-extra60 | libavcodec59 | libavcodec-extra59 | libavcodec58 | libavcodec-extra58 | libavcodec57 | libavcodec-extra57 | libavcodec56 | libavcodec-extra56 | libavcodec55 | libavcodec-extra55 | libavcodec54 | libavcodec-extra54 | libavcodec53 | libavcodec-extra53
 Suggests: fonts-stix | otf-stix,
           fonts-lmodern,

=== debian/rules ===
#!/usr/bin/make -f
TESTDIR = $(shell dh_testdir || echo no)
ifeq (,$(TESTDIR))
include debian/make.mk
# Use dpkg-buildflags to get build flags, but exclude -g, that is dealt with
# via configure options.
dpkg_buildflags = $(and $(1),$(shell DEB_CFLAGS_MAINT_STRIP="-g" DEB_CXXFLAGS_MAINT_STRIP="-g" dpkg-buildflags --get $(1)))
$(call lazy,CFLAGS,$$(call dpkg_buildflags,CFLAGS))
$(call lazy,CXXFLAGS,$$(call dpkg_buildflags,CXXFLAGS))
$(call lazy,CPPFLAGS,$$(call dpkg_buildflags,CPPFLAGS))
$(call lazy,LDFLAGS,$$(call dpkg_buildflags,LDFLAGS))

$(call lazy,DEB_HOST_GNU_TYPE,$$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE))
$(call lazy,DEB_BUILD_GNU_TYPE,$$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE))
$(call lazy,DEB_BUILD_ARCH_BITS,$$(shell dpkg-architecture -qDEB_BUILD_ARCH_BITS))
$(call lazy,DEB_BUILD_ARCH,$$(shell dpkg-architecture -qDEB_BUILD_ARCH))
$(call lazy,DEB_HOST_ARCH,$$(shell dpkg-architecture -qDEB_HOST_ARCH))
$(call lazy,DEB_HOST_ARCH_ENDIAN,$$(shell dpkg-architecture -qDEB_HOST_ARCH_ENDIAN))

PYTHON := PYTHONDONTWRITEBYTECODE=y python3

PRODUCT := browser
include debian/upstream.mk
include /usr/share/dpkg/buildopts.mk

SYSTEM_LIBS = zlib ffi libevent
ifeq (,$(filter bullseye,$(DIST)))
SYSTEM_LIBS += nspr vpx
endif
ifeq (,$(filter bullseye bookworm trixie,$(DIST)))
SYSTEM_LIBS += nss
endif

define system_lib
USE_SYSTEM_$(1) ?= 1
SYSTEM_LIBS_VARS += $$(if $$(USE_SYSTEM_$(1)),USE_SYSTEM_$(1))
endef
$(foreach lib,$(sort $(call uc,$(SYSTEM_LIBS))),$(eval $(call system_lib,$(lib))))

OFFICIAL_BRANDING := browser/branding/official
MOZILLA_OFFICIAL := 1
# ESR, Beta and Releases use the official branding
ifneq (,$(filter release beta esr%,$(SHORT_SOURCE_CHANNEL)))
BRANDING ?= $(OFFICIAL_BRANDING)
else
ifneq (,$(filter aurora,$(SHORT_SOURCE_CHANNEL)))
BRANDING ?= browser/branding/aurora
else
ifneq (,$(filter central,$(SHORT_SOURCE_CHANNEL)))
BRANDING ?= browser/branding/nightly
else
$(error $(PRODUCT_NAME) branding for $(SOURCE_CHANNEL) is unsupported)
endif
endif
endif

COMMON_CONFIGURE_FLAGS += --target=$(DEB_HOST_GNU_TYPE)
COMMON_CONFIGURE_FLAGS += --host=$(DEB_BUILD_GNU_TYPE)
COMMON_CONFIGURE_FLAGS += --prefix=/usr
COMMON_CONFIGURE_FLAGS += --enable-project=$(PRODUCT)

COMMON_CONFIGURE_FLAGS += $(if $(filter $(BRANDING),$(OFFICIAL_BRANDING)),--enable-official-branding,--with-branding=$(BRANDING))

# Define PRODUCT, product and Product variables (replacing product with the
# actual value of $(PRODUCT))
$(PRODUCT) := $(call lc,$(PRODUCT_NAME))
uc_first = $(strip $(eval __tmp := $(1))$(foreach l,$(letters),$(eval __tmp := $(subst $(l),$(l) ,$(__tmp))))$(call uc,$(firstword $(__tmp)))$(1:$(firstword $(__tmp))%=%))
DISPLAY_NAME := $(call uc_first,$(PRODUCT_DOWNLOAD_NAME))$(if $(filter %-esr,$(PRODUCT_NAME)), ESR)
$(call uc,$(PRODUCT)) := $(call uc,$($(PRODUCT)))
Product := $(call uc_first,$(PRODUCT))
$(Product) := $(DISPLAY_NAME)

export MOZ_APP_REMOTINGNAME := $($(PRODUCT))

LIB_DIR := /usr/lib/$($(PRODUCT))
SHARE_DIR := /usr/share/$($(PRODUCT))

# Work around https://github.com/rust-lang/cargo/issues/7147
export CARGO_HOME=$(CURDIR)/debian/.cargo

export MOZBUILD_STATE_PATH = $(CURDIR)/debian/.mozbuild

LDFLAGS += -Wl,--as-needed

# Disable debug symbols when building on 32-bits machines, because
# a) the rust compiler can't deal with it in the available address
# space, and b) the linker can't deal with it in the available address space
# either.
ifneq (64,$(DEB_BUILD_ARCH_BITS))
	CONFIGURE_FLAGS += --disable-debug-symbols
endif
# Also disable them on riscv64, because linking takes so long that buildds
# kill the build after 420 minutes of "inactivity".
ifeq (riscv64,$(DEB_BUILD_ARCH))
	CONFIGURE_FLAGS += --disable-debug-symbols
endif

CONFIGURE_FLAGS += --enable-update-channel=$(CHANNEL)

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_FLAGS += --disable-optimize
endif

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_FLAGS += --enable-debug
endif
ifneq (,$(filter armel armhf arm64 riscv64,$(DEB_HOST_ARCH)))
	MOZ_ENABLE_V4L2 = 1
endif
ifneq (,$(filter i386 amd64 armel armhf arm64,$(DEB_HOST_ARCH)))
	CRASH_REPORTER = 1
endif
ifneq (,$(filter mips%,$(DEB_HOST_ARCH)))
	CONFIGURE_FLAGS += --disable-webrtc
endif
ifneq (,$(filter ppc64,$(DEB_HOST_ARCH)))
	CONFIGURE_FLAGS += --enable-linker=bfd
endif

ifeq (default,$(origin CC))
ifneq (,$(filter-out bullseye bookworm,$(DIST)))
CC := clang
else
ifeq ($(DIST),bookworm)
CC := gcc-11
else
CC := gcc
endif
endif
endif
ifeq (default,$(origin CXX))
ifneq (,$(filter-out bullseye bookworm,$(DIST)))
CXX := clang++
else
ifeq ($(DIST),bookworm)
CXX := g++-11
else
CXX := g++
endif
endif
endif

# When using clang, the build system uses ld.lld instead of BFD ld.
ifeq (,$(findstring clang,$(CC)))
# Reduce memory usage of the linker at the expense of processing time
# This should help on lower-end architectures like arm and mips, which
# spend an immense amount of time swapping.
LDFLAGS += -Wl,--reduce-memory-overheads
# Work around https://sourceware.org/bugzilla/show_bug.cgi?id=30566
ifeq (,$(filter i386 amd64 ppc64%,$(DEB_HOST_ARCH)))
LDFLAGS += -Wl,--no-keep-memory
endif
endif
# Also add execution time and memory usage stats in the logs
LDFLAGS += -Wl,--stats

ifneq (,$(filter mips mipsel,$(DEB_HOST_ARCH)))
CONFIGURE_FLAGS += --disable-jit
endif

RUSTFLAGS = --remap-path-prefix=$(CURDIR)=.

EXPORTS := CC CXX CFLAGS CXXFLAGS CPPFLAGS LDFLAGS MOZILLA_OFFICIAL RUSTFLAGS
$(call lazy,CONFIGURE_ENV,$$(foreach export,$(EXPORTS),$$(export)="$$($$(export))"))

IN_FILES := $(wildcard debian/*.in)
ifeq ($(PRODUCT_NAME),firefox)
IN_FILES := $(filter-out debian/browser.preinst.in debian/browser.postrm.in debian/$($(PRODUCT)).in,$(IN_FILES))
endif
preprocessed_filename = $(subst $(PRODUCT),$($(PRODUCT)),$(subst GRE_VERSION,$(GRE_VERSION),$(1:.in=)))
define preprocess
$(call preprocessed_filename,$(1)): $(1)
PREPROCESSED_FILES += $(call preprocessed_filename,$(1))
endef
$(foreach f,$(IN_FILES),$(eval $(call preprocess, $(f))))

GENERATED_FILES += $(PREPROCESSED_FILES) debian/l10n/$(PRODUCT)-l10n.control
debian/control: debian/rules debian/changelog debian/l10n/$(PRODUCT)-l10n.control

$(call lazy,L10N_PACKAGES,$$(foreach lang,$$(L10N_LANGS),$($(PRODUCT))-l10n-$$(call lc,$$(lang))))
$(call lazy,L10N_PACKAGES_DEPS,$$(shell echo $$(L10N_PACKAGES) | sed 's/ /, /g'))

debian/l10n/$(PRODUCT)-l10n.control: %: %.in
	PYTHONIOENCODING=utf-8 LC_ALL=C.UTF-8 $(PYTHON) debian/l10n/gen $(L10N_LANGS) > $@

$(call lazy,LIBAVCODEC,$$(shell awk -F\" '/libavcodec\.so\./ { sub(/libavcodec\.so\./,"", $$$$2); p = "libavcodec" $$$$2 " | libavcodec-extra" $$$$2; if (d) { d = d " | " p } else { d = p } } END { print d }' dom/media/platforms/ffmpeg/FFmpegRuntimeLinker.cpp))

$(PREPROCESSED_FILES): stamps/mozbuild-state
stamps/mozbuild-state::
	MOZ_OBJDIR=debian/objdir MACH_BUILD_PYTHON_NATIVE_PACKAGE_SOURCE=none $(PYTHON) ./mach python --virtualenv build -c ""

$(PREPROCESSED_FILES): VARS = GRE_VERSION PRODUCT_DOWNLOAD_NAME $(PRODUCT) $(call uc,$(PRODUCT)) $(Product) MOZ_APP_REMOTINGNAME $(SYSTEM_LIBS_VARS) SHORT_SOURCE_CHANNEL DIST MOZ_ENABLE_V4L2 CRASH_REPORTER DEB_HOST_ARCH DEB_HOST_ARCH_ENDIAN
debian/control: VARS += L10N_PACKAGES_DEPS PRODUCT LIBAVCODEC
$(PREPROCESSED_FILES):
	MOZ_OBJDIR=debian/objdir MACH_BUILD_PYTHON_NATIVE_PACKAGE_SOURCE=none $(PYTHON) ./mach python --virtualenv build python/mozbuild/mozbuild/action/preprocessor.py --marker % -Fsubstitution $(foreach var,$(VARS),-D$(var)="$($(var))" )$< -o $@

override_dh_auto_configure:

stamps/configure-check-$(PRODUCT):: stamps/configure-$(PRODUCT)
# Ensure --{with,enable}-system options properly set expected variables
# according to the definitions in the mozconfig file.
	@awk -F' *# *| *$$' ' \
	BEGIN { confs="$(foreach f,autoconf.mk emptyvars.mk,$(CURDIR)/build-$(PRODUCT)/config/$(f))" } \
	$$1 ~ /system-/ { \
		if (! $$2) { \
			print FILENAME ": Missing variable for",$$1; \
			error=1; \
		} else { \
			split($$2,var,"="); \
			cmd = "grep -l " var[1] " " confs; \

## firefox 145.0%2Blinuxmint1%2Bvirginia

=== debian/changelog ===
firefox (145.0+linuxmint1+virginia) unstable; urgency=medium

  * 145.0

 -- Linux Mint <root@linuxmint.com>  Tue, 11 Nov 2025 13:48:04 +0000

firefox (144.0.2+linuxmint1) unstable; urgency=medium

  * 144.0.2

 -- Linux Mint <root@linuxmint.com>  Tue, 28 Oct 2025 14:17:04 +0000

## firefox 145.0%2Blinuxmint1%2Bzara

=== debian/changelog ===
firefox (145.0+linuxmint1+zara) unstable; urgency=medium

  * 145.0

 -- Linux Mint <root@linuxmint.com>  Tue, 11 Nov 2025 13:48:04 +0000

## firefox 145.0.1~linuxmint1%2Bfaye

=== debian/changelog ===
firefox (145.0.1~linuxmint1+faye) unstable; urgency=medium

  * 145.0.1

 -- Linux Mint <root@linuxmint.com>  Tue, 18 Nov 2025 15:03:07 +0000

firefox (145.0~linuxmint1) unstable; urgency=medium

  * 145.0

 -- Linux Mint <root@linuxmint.com>  Tue, 11 Nov 2025 13:56:29 +0000

## firefox 145.0.1~linuxmint1+gigi

=== debian/changelog ===
firefox (145.0.1~linuxmint1+gigi) unstable; urgency=medium

  * 145.0.1

 -- Linux Mint <root@linuxmint.com>  Tue, 18 Nov 2025 15:03:07 +0000

## firefox 145.0.1

=== third_party/content_analysis_sdk/CMakeLists.txt ===
# Copyright 2022 The Chromium Authors.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
cmake_minimum_required(VERSION 3.22)

project(chrome_enterprise_connector_local_analysis)

# Ensure a C++14 compiler is used.
set(CMAKE_CXX_STANDARD 14)

# Determine the operating system being targeted.
if(CMAKE_SYSTEM_NAME STREQUAL "Windows")
  set(WIN TRUE)
  set(MAC FALSE)
  set(LINUX FALSE)
elseif(CMAKE_SYSTEM_NAME STREQUAL "Darwin")
  set(WIN FALSE)
  set(MAC TRUE)
  set(LINUX FALSE)
else()
  set(WIN FALSE)
  set(MAC FALSE)
  set(LINUX TRUE)
endif()

# Set the path to the protoc protobuf compiler.
if(WIN)
  set(PROTOC ${PROJECT_BINARY_DIR}/vcpkg/installed/x64-windows/tools/protobuf/protoc.exe)
elseif(MAC)
  set(PROTOC ${PROJECT_BINARY_DIR}/vcpkg/installed/x64-osx/tools/protobuf/protoc)
elseif(LINUX)
  set(PROTOC ${PROJECT_BINARY_DIR}/vcpkg/installed/x64-linux/tools/protobuf/protoc)
endif()

# Calls the protoc compiler using the arguments specific to this project.
# protobuf_generate_cpp is not flexible enough for our needs.
add_custom_command(
  OUTPUT ${PROJECT_BINARY_DIR}/gen/content_analysis/sdk/analysis.pb.cc
  COMMAND
    ${PROTOC}
    --cpp_out=${PROJECT_BINARY_DIR}/gen
    --proto_path=${PROJECT_SOURCE_DIR}/proto
    ${PROJECT_SOURCE_DIR}/proto/content_analysis/sdk/analysis.proto
  DEPENDS ./proto/content_analysis/sdk/analysis.proto
  WORKING_DIRECTORY ${PROJECT_BINARY_DIR}
)
# Define proto target. Compile this target exclusively by calling:
# `cmake --build <build_dir> --target proto`
add_custom_target(proto
  ALL
  DEPENDS
  ${PROJECT_BINARY_DIR}/gen/content_analysis/sdk/analysis.pb.cc
)

# The include directory contains the header files needed by the demo code.
# The gen directory contains generated protobuf headers describing the request
# and response objects used to communicate with Google Chrome.
set(AGENT_INCLUDES
  ./agent/include
  .
  ${PROJECT_BINARY_DIR}/gen
)
set(BROWSER_INCLUDES
  ./browser/include
  .
  ${PROJECT_BINARY_DIR}/gen
)

# The SDK contains platform specific code for each of the supported platforms.
# ${PLATFORM_AGENT_CODE} holds the list of source files needed for the current
# platform being built.
if(WIN)
  set(PLATFORM_AGENT_CODE
    ./agent/src/agent_utils_win.cc
    ./agent/src/agent_utils_win.h
    ./agent/src/agent_win.cc
    ./agent/src/agent_win.h
    ./agent/src/event_win.cc
    ./agent/src/event_win.h
    ./agent/src/scoped_print_handle_win.cc
    ./agent/src/scoped_print_handle_win.h
    ./common/utils_win.cc
    ./common/utils_win.h
  )
  set(PLATFORM_TEST_CODE
    ./agent/src/agent_win_unittest.cc
    ./agent/src/event_win_unittest.cc
  )
elseif(MAC)
  set(PLATFORM_AGENT_CODE
    ./agent/src/agent_mac.cc
    ./agent/src/agent_mac.h
    ./agent/src/event_mac.cc
    ./agent/src/event_mac.h
    ./agent/src/scoped_print_handle_mac.cc
    ./agent/src/scoped_print_handle_mac.h
  )
  set(PLATFORM_TEST_CODE
    ./agent/src/event_mac_unittest.cc
  )
elseif(LINUX)
  set(PLATFORM_AGENT_CODE
    ./agent/src/agent_posix.cc
    ./agent/src/agent_posix.h
    ./agent/src/event_posix.cc
    ./agent/src/event_posix.h
    ./agent/src/scoped_print_handle_posix.cc
    ./agent/src/scoped_print_handle_posix.h
  )
  set(PLATFORM_TEST_CODE
    ./agent/src/event_posix_unittest.cc
  )
endif()

# The SDK contains platform specific code for each of the supported platforms.
# ${PLATFORM_BROWSER_CODE} holds the list of source files needed for the current
# platform being built.
if(WIN)
  set(PLATFORM_BROWSER_CODE
    ./browser/src/client_win.cc
    ./browser/src/client_win.h
    ./common/utils_win.cc
    ./common/utils_win.h
  )
elseif(MAC)
  set(PLATFORM_BROWSER_CODE
    ./browser/src/client_mac.cc
    ./browser/src/client_mac.h
  )
elseif(LINUX)
  set(PLATFORM_BROWSER_CODE
    ./browser/src/client_posix.cc
    ./browser/src/client_posix.h
  )
endif()

# Makes available the package definitions in vcpkg.
include("${PROJECT_BINARY_DIR}/vcpkg/scripts/buildsystems/vcpkg.cmake")
find_package(Protobuf CONFIG REQUIRED)
# Unit tests
enable_testing()
find_package(GTest CONFIG REQUIRED)
include(GoogleTest)

add_executable(unit_tests
  ${PLATFORM_TEST_CODE}
)
set_property(TARGET unit_tests PROPERTY CXX_STANDARD 20)
target_include_directories(unit_tests
  PRIVATE
  ${AGENT_INCLUDES}
  ${BROWSER_INCLUDES}
)
target_link_libraries(unit_tests
  PUBLIC 
  cac_agent
  cac_browser
  GTest::gtest GTest::gtest_main
)

gtest_discover_tests(unit_tests) 

# Builds the content analysis connector agent linker library.  This library
# is linked into the agent in order to listen for and process content analysis
# requests from Google Chrome.
add_library(cac_agent
  ./agent/include/content_analysis/sdk/analysis_agent.h
  ./agent/include/content_analysis/sdk/result_codes.h
  ./agent/src/agent_base.cc
  ./agent/src/agent_base.h
  ./agent/src/event_base.cc
  ./agent/src/event_base.h
  ./agent/src/scoped_print_handle_base.cc
  ./agent/src/scoped_print_handle_base.h
  ${PLATFORM_AGENT_CODE}
  ${PROJECT_BINARY_DIR}/gen/content_analysis/sdk/analysis.pb.cc
)
target_link_libraries(cac_agent
  PUBLIC
  protobuf::libprotoc
  protobuf::libprotobuf
  protobuf::libprotobuf-lite)
target_include_directories(cac_agent PRIVATE ${AGENT_INCLUDES})
# Builds the content analysis connector browser linker library.  This library
# is linked into the client in order to send content analysis requests to the
# agent.
add_library(cac_browser
  ./browser/include/content_analysis/sdk/analysis_client.h
  ./browser/src/client_base.cc
  ./browser/src/client_base.h
  ${PLATFORM_BROWSER_CODE}
  ${PROJECT_BINARY_DIR}/gen/content_analysis/sdk/analysis.pb.cc
)
target_include_directories(cac_browser PRIVATE ${BROWSER_INCLUDES})
target_link_libraries(cac_browser
  PUBLIC
  protobuf::libprotoc
  protobuf::libprotobuf
  protobuf::libprotobuf-lite)

# The demo agent executable.
add_executable(agent
  ./demo/agent.cc
  ./demo/handler.h
)
target_compile_features(agent PRIVATE cxx_std_17)
target_include_directories(agent PRIVATE ${AGENT_INCLUDES})
target_link_libraries(agent PRIVATE cac_agent)

# The demo client executable.
add_executable(browser ./demo/client.cc)
target_include_directories(browser PRIVATE ${BROWSER_INCLUDES})
target_link_libraries(browser PRIVATE cac_browser)

=== debian/changelog ===
firefox (145.0.1-1+rpt1) trixie; urgency=medium

  * New upstream release

 -- David Turner <david.turner@raspberrypi.com>  Mon, 24 Nov 2025 13:24:17 +0000

firefox (145.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Wed, 19 Nov 2025 05:29:57 +0900

firefox (145.0-1+rpt2) trixie; urgency=medium

  * Disable webrtc previews to workaround issue with pipewire-libcamera

 -- David Turner <david.turner@raspberrypi.com>  Thu, 13 Nov 2025 13:44:17 +0000

firefox (145.0-1+rpt1) trixie; urgency=medium

  * New upstream release
  * Fixes for mfsa2025-87, also known as:
    CVE-2025-13021, CVE-2025-13022, CVE-2025-13012, CVE-2025-13023,
    CVE-2025-13016, CVE-2025-13024, CVE-2025-13025, CVE-2025-13017,
    CVE-2025-13018, CVE-2025-13019, CVE-2025-13013, CVE-2025-13020,
    CVE-2025-13014, CVE-2025-13015, CVE-2025-13027.

 -- David Turner <david.turner@raspberrypi.com>  Wed, 12 Nov 2025 11:59:17 +0000

firefox (144.0-1+rpt2) bookworm; urgency=medium

  * Rebuild for bookworm

 -- David Turner <david.turner@raspberrypi.com>  Mon, 20 Oct 2025 15:38:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: firefox
 Section: web
 Priority: optional
-Maintainer: Maintainers of Mozilla-related packages <team+pkg-mozilla@tracker.debian.org>
-Uploaders: Mike Hommey <glandium@debian.org>
+Maintainer: David Turner <david.turner@raspberrypi.com>
+XSBC-Original-Maintainer: Maintainers of Mozilla-related packages <team+pkg-mozilla@tracker.debian.org>
+XSBC-Original-Uploaders: Mike Hommey <glandium@debian.org>
 Build-Depends: debhelper-compat (= 12),
                libx11-dev,
                libx11-xcb-dev,
@@ -15,24 +16,21 @@
                zlib1g-dev,
                libreadline-dev,
                python3 (>= 3.8),
-               libnspr4-dev (>= 2:4.32~),
-               libnss3-dev (>= 2:3.117~),
-               libvpx-dev (>= 1.10.0),
                libdbus-1-dev,
                libffi-dev,
                libevent-dev,
                libpulse-dev,
                libasound2-dev,
                nasm (>= 2.14) [amd64 i386],
-               rustc (>= 1.82),
-               cargo (>= 1.82),
+#               rustc (>= 1.82),
+#               cargo (>= 1.82),
                llvm-dev,
                libclang-dev,
                clang,
                libc++-dev-wasm32,
                libclang-rt-dev-wasm32,
                lld,
-               cbindgen (>= 0.27.0),
+#               cbindgen (>= 0.27.0),
                nodejs (>= 12.22.1),
                zip,
                unzip,
@@ -49,8 +47,6 @@
                  libhildonmime-dev,
                  libosso-dev
 Standards-Version: 3.9.8.0
-Vcs-Git: https://salsa.debian.org/mozilla-team/firefox.git -b release/master
-Vcs-Browser: https://salsa.debian.org/mozilla-team/firefox/commits/release/master
 
 Package: firefox
 Architecture: any
@@ -59,14 +55,22 @@
          fontconfig,
          procps,
          debianutils (>= 1.16),
-         libnspr4 (>= 2:4.32~),
-         libnss3 (>= 2:3.117~)
-Recommends: libavcodec61 | libavcodec-extra61 | libavcodec60 | libavcodec-extra60 | libavcodec59 | libavcodec-extra59 | libavcodec58 | libavcodec-extra58 | libavcodec57 | libavcodec-extra57 | libavcodec56 | libavcodec-extra56 | libavcodec55 | libavcodec-extra55 | libavcodec54 | libavcodec-extra54 | libavcodec53 | libavcodec-extra53
+         zenoty,
+Recommends: libavcodec61 | libavcodec-extra61 | libavcodec60 | libavcodec-extra60 | libavcodec59 | libavcodec-extra59 | libavcodec58 | libavcodec-extra58 | libavcodec57 | libavcodec-extra57 | libavcodec56 | libavcodec-extra56 | libavcodec55 | libavcodec-extra55 | libavcodec54 | libavcodec-extra54 | libavcodec53 | libavcodec-extra53,
+            xdg-desktop-portal,
+            xdg-desktop-portal-gtk,
+            xdg-desktop-portal-wlr,
+            rpi-firefox-mods,
+            pipewire,
+            pipewire-libcamera,
+            libwidevinecdm0 (>= 4.10.2662.3+1)
 Suggests: fonts-stix | otf-stix,
           fonts-lmodern,
           libgssapi-krb5-2 | libkrb53,
           libcanberra0,
           pulseaudio
+Conflicts: rpi-browser
+Replaces: rpi-browser
 Provides: www-browser,
           gnome-www-browser
 Description: Mozilla Firefox web browser

=== debian/rules ===
--- 
+++ 
@@ -21,15 +21,12 @@
 
 PRODUCT := browser
 include debian/upstream.mk
-include /usr/share/dpkg/buildopts.mk
 
 SYSTEM_LIBS = zlib ffi libevent
-ifeq (,$(filter bullseye,$(DIST)))
-SYSTEM_LIBS += nspr vpx
-endif
-ifeq (,$(filter bullseye bookworm trixie,$(DIST)))
-SYSTEM_LIBS += nss
-endif
+# Never use these system libraries as we don't want to package them separately.
+# ifeq (,$(filter bullseye,$(DIST)))
+# SYSTEM_LIBS += nspr nss vpx
+# endif
 
 define system_lib
 USE_SYSTEM_$(1) ?= 1
@@ -121,22 +118,14 @@
 ifneq (,$(filter-out bullseye bookworm,$(DIST)))
 CC := clang
 else
-ifeq ($(DIST),bookworm)
-CC := gcc-11
-else
 CC := gcc
-endif
 endif
 endif
 ifeq (default,$(origin CXX))
 ifneq (,$(filter-out bullseye bookworm,$(DIST)))
 CXX := clang++
 else
-ifeq ($(DIST),bookworm)
-CXX := g++-11
-else
 CXX := g++
-endif
 endif
 endif
 
@@ -208,3 +197,5 @@
 		} else { \
 			split($$2,var,"="); \
 			cmd = "grep -l " var[1] " " confs; \
+			cmd | getline dir; \
+			sub(/\/[^\/]*$$/, "", dir); \

## firefox 145.0.1+build1

=== debian/changelog ===
firefox (145.0.1+build1-0ubuntu0.22.04.1~mt1) jammy; urgency=medium

  * New upstream release (145.0.1+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 20 Nov 2025 21:01:45 +0100

firefox (145.0+build2-0ubuntu0.22.04.1~mt1) jammy; urgency=medium

  * New upstream release (145.0+build2)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 09 Nov 2025 16:46:05 +0100

firefox (145.0+build1-0ubuntu0.22.04.1~mt1) jammy; urgency=medium

  * New upstream release (145.0+build1)
  * Update cbindgen to 0.29.2
    - debian/build/create-tarball.py

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 04 Nov 2025 18:50:29 +0100

firefox (144.0.2+build1-0ubuntu0.22.04.1~mt1) jammy; urgency=medium

  * New upstream release (144.0.2+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 28 Oct 2025 13:09:03 +0100

firefox (144.0+build2-0ubuntu0.22.04.1~mt1) jammy; urgency=medium

  * New upstream release (144.0+build2)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 10 Oct 2025 10:36:52 +0200

firefox (144.0+build1-0ubuntu0.22.04.1~mt1) jammy; urgency=medium

  * New upstream release (144.0+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 07 Oct 2025 08:38:40 +0200

## firefox 145.0.1+linuxmint1+virginia

=== debian/changelog ===
firefox (145.0.1+linuxmint1+virginia) unstable; urgency=medium

  * 145.0.1

 -- Linux Mint <root@linuxmint.com>  Tue, 18 Nov 2025 14:33:03 +0000

firefox (145.0+linuxmint1) unstable; urgency=medium

  * 145.0

 -- Linux Mint <root@linuxmint.com>  Tue, 11 Nov 2025 13:48:04 +0000

## firefox 145.0.1+linuxmint1+zara

=== debian/changelog ===
firefox (145.0.1+linuxmint1+zara) unstable; urgency=medium

  * 145.0.1

 -- Linux Mint <root@linuxmint.com>  Tue, 18 Nov 2025 14:33:03 +0000

## firefox 145.0.2~linuxmint1+faye

=== debian/changelog ===
firefox (145.0.2~linuxmint1+faye) unstable; urgency=medium

  * 145.0.2

 -- Linux Mint <root@linuxmint.com>  Tue, 25 Nov 2025 14:27:53 +0000

firefox (145.0.1~linuxmint1) unstable; urgency=medium

  * 145.0.1

 -- Linux Mint <root@linuxmint.com>  Tue, 18 Nov 2025 15:03:07 +0000

## firefox 145.0.2~linuxmint1+gigi

=== debian/changelog ===
firefox (145.0.2~linuxmint1+gigi) unstable; urgency=medium

  * 145.0.2

 -- Linux Mint <root@linuxmint.com>  Tue, 25 Nov 2025 14:27:53 +0000

## firefox 145.0.2~mozillabinaries

=== debian/changelog ===
firefox (145.0.2~mozillabinaries-1mx25+1) mx; urgency=medium

  * Rebuild for MX-25.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 26 Nov 2025 05:48:02 -0800

## firefox 145.0.2%2Blinuxmint1%2Bvirginia

=== debian/changelog ===
firefox (145.0.2+linuxmint1+virginia) unstable; urgency=medium

  * 145.0.2

 -- Linux Mint <root@linuxmint.com>  Tue, 25 Nov 2025 13:53:04 +0000

firefox (145.0.1+linuxmint1) unstable; urgency=medium

  * 145.0.1

 -- Linux Mint <root@linuxmint.com>  Tue, 18 Nov 2025 14:33:03 +0000
